Bug 738751 - virt-manager shouldn't show fields as editable if they can't be changed
Summary: virt-manager shouldn't show fields as editable if they can't be changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 17:57 UTC by Eric Blake
Modified: 2011-10-09 19:50 UTC (History)
7 users (show)

Fixed In Version: virt-manager-0.9.0-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:50:19 UTC


Attachments (Terms of Use)

Description Eric Blake 2011-09-15 17:57:44 UTC
Description of problem:
virt-manager shows several fields with the appearance of editable text boxes, even though no edits can be made to those fields.  These should be shown as labels instead.

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-5.fc16.noarch

How reproducible:
100%

Steps to Reproduce:
1. Edit->Connection Details of a qemu connection
2. Select the "Network Interfaces" tab, and look at the MAC: field for an interface
3. Try to highlight that MAC address, for pasting somewhere else
4. Select the "Virtual Networks" tab, and look at the Network: field
5. Try editing the Network field
  
Actual results:
3. MAC field is shown as a label, but it is not highlightable, so it can't be copied.
5. Network: field is shown as an editable text box, but refuses edits.  For now, the fact that the data is uneditable is a design decision (I'll open a separate bug for an RFE to change that design), but the GUI should make this obvious by displaying as a label.

Expected results:
3. Even when not editable, labels describing information about a guest must be assumed to be useful as something that can be highlighted, copied, and pasted elsewhere.
5. When not editable, a field should be shown as a label instead of a text box.  I'm not sure how many fields throughout virt-manager fit this category; I noticed it with the host's networks, but there may be other fields also needing improvement.

Additional info:
Found during Fedora Virt Test Day:
https://fedoraproject.org/wiki/Test_Day:2011-09-15_Virtualization

Comment 1 Eric Blake 2011-09-15 18:05:05 UTC
(In reply to comment #0)
> 5. Network: field is shown as an editable text box, but refuses edits.  For
> now, the fact that the data is uneditable is a design decision (I'll open a
> separate bug for an RFE to change that design)

bug 738758 for the RFE to make it editable

Comment 2 Cole Robinson 2011-09-22 14:43:39 UTC
Thanks for the report, fixed upstream:

http://git.fedorahosted.org/git?p=virt-manager.git;a=commit;h=3d3ac635e1ba33e13961c0d9663f23a2387fa3c4

Comment 3 Fedora Update System 2011-09-27 18:27:02 UTC
virt-manager-0.9.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virt-manager-0.9.0-6.fc16

Comment 4 Fedora Update System 2011-09-28 18:50:27 UTC
Package virt-manager-0.9.0-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.0-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/virt-manager-0.9.0-6.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-09 19:50:19 UTC
virt-manager-0.9.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.